import { Injectable } from '@angular/core';

import { Base } from '../base/base';

@Injectable()
export class AuthModuleService extends Base
{
  public getAuthSummaries(params: any)
  {
    return this.api.post('v1/authModules/getAuthSummaries', params);
  }

  public getAuthDetails(params: any)
  {
    return this.api.post('v1/authModules/getAuthDetails', params);
  }

  public updateAuthStatus(params: any)
  {
    return this.api.post('v1/authModules/updateAuthStatus', params);
  }

  public getPendingAuths()
  {
    const params = { noParameter: 0 };
    return this.api.post('v1/authModules/getPendingAuths', params);
  }
}
